<?php
/*
Plugin Name: move-marker
Description: テキストに動くマーカーがつきます。
Version: 1.0
Author: Ray
License: GPLv2
*/

function theme_name_files() {
  //先にデフォルトのjQuery読み込み
  wp_enqueue_script('jquery');
  }
  add_action( 'wp_enqueue_scripts', 'theme_name_files' );

  // style.cssとscript.jsの読み込み
function plugin_name_scripts() {
    wp_enqueue_style( 'plugin-script', plugins_url( 'style.css', __FILE__ ) );
    wp_enqueue_script( 'plugin-script', plugins_url( 'script.js', __FILE__ ), array(), date('U'), true );
  }
  add_action( 'wp_enqueue_scripts', 'plugin_name_scripts' );
  
// ショートコードの作成
  function move_maker( $atts, $content = null ) {
    return '<span class="marker-animation ma-red">' . $content . '</span>';
}
add_shortcode('m-m', 'move_maker');